Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.io
Class DigesterRules

    java.lang.Object
      org.apache.commons.digester.RulesBase
          org.apache.ddlutils.io.DigesterRules

All Implemented Interfaces:
  Rules

    public class DigesterRules

extends RulesBase

An extended rules implementation that is able to match case-insensitively. Per default, the rules are matches disregarding the case.

Version:
  $Revision: 289996 $

Field Summary

Fields inherited from class org.apache.commons.digester.RulesBase
`cache, digester, namespaceURI, rules`

Constructor Summary
`DigesterRules()`

Method Summary
`void` | `add(String pattern, Rule rule)`
`boolean` | `isCaseSensitive()` Determines whether this rules object matches case sensitively.
`protected List` | `lookup(String namespaceURI, String pattern)`
`void` | `setCaseSensitive(boolean beCaseSensitive)` Specifies whether this rules object shall match case sensitively.

Methods inherited from class org.apache.commons.digester.RulesBase
`clear, getDigester, getNamespaceURI, match, match, rules, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigesterRules

    public DigesterRules()

Method Detail

### isCaseSensitive

    public boolean isCaseSensitive()

  Determines whether this rules object matches case sensitively.

  Returns:
    `true` if the case of the pattern matters

### setCaseSensitive

    public void setCaseSensitive(boolean beCaseSensitive)

  Specifies whether this rules object shall match case sensitively.

  Parameters:
    `beCaseSensitive` - `true` if the case of the pattern shall matter

### add

    public void add(String pattern,
                    Rule rule)

  Specified by:
    `add` in interface `Rules`
  Overrides:
    `add` in class `RulesBase`

### lookup

    protected List lookup(String namespaceURI,
                          String pattern)

  Overrides:
    `lookup` in class `RulesBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.